import React, { Component } from 'react';
import { Provider } from 'mobx-react';
import { Route, BrowserRouter } from 'react-router-dom';

import DefaultStore from './stores/DefaultStore';

import DefaultLayout from './layouts/DefaultLayout';

const stores = {
  defaultStore: new DefaultStore(),
};

class App extends Component {
  render() {
    return (
      <Provider {...stores}>
        <BrowserRouter>
          <Route path='/' component={DefaultLayout} />
        </BrowserRouter>
      </Provider>
    );
  }
}

export default App;

