import React, { Component } from 'react';
import { inject, observer } from 'mobx-react';

import DefaultComponent from './../components/DefaultComponent';

@inject('defaultStore')
@observer
class DefaultContainer extends Component {
  async componentWillMount() {
    await this.props.defaultStore.loadEvents();
  }

  render() {
    const {
      filter,
      filteredEvents,
      handleFilter,
    } = this.props.defaultStore;

    return (
      <table>
        <thead>
          <tr>
            <th colSpan='4'>
              <input type='text' value={filter} onChange={handleFilter} />
            </th>
          </tr>
          <tr>
            <th>Event</th>
            <th>Author</th>
            <th>Repository</th>
            <th>Time</th>
          </tr>
        </thead>
        <tbody>
          {filteredEvents.map((event, index) => <DefaultComponent event={event} key={index} />)}
        </tbody>
      </table>
    );
  }
}

export default DefaultContainer;

