import moment from 'moment';

import {
  API_DATE_TIME_FORMAT,
  GUI_DATE_TIME_FORMAT,
} from './../constants';

/**
 * Converts localised time to an ISO 8601 zulu datetime string for APIs.
 *
 * @param {string|Date} dateTime - A string or a Date object.
 */
export const toAPIDateTime = (dateTime) => {
  return moment(dateTime).format(API_DATE_TIME_FORMAT);
};

/**
 * Outputs localised time from an ISO 8601 zulu datetime string.
 *
 * @param {string} dateTime
 */
export const toGUIDateTime = (dateTime) => {
  return moment.utc(dateTime).format(GUI_DATE_TIME_FORMAT);
};

