import axios from 'axios';
import { computed, action, observable } from 'mobx';

class DefaultStore {
  @observable events = [];
  @observable filter = '';
  @computed get filteredEvents() {
    return this.events.filter(event => event.type.match(new RegExp(this.filter, 'gi')));
  }

  @action handleFilter = (event) => {
    this.filter = event.target.value;
  }

  @action loadEvents = () => {
    this.filter = '';

    return axios.get('https://api.github.com/orgs/rpoc/events')
      .then(res => {
        this.events = res.data || [];
      })
      .catch(e => {
        console.log(e);
      });
  }
}

export default DefaultStore;

