import React, { Component } from 'react';
import { Container } from 'reactstrap';

import {
  AppAside,
  AppBreadcrumb,
  AppFooter,
  AppHeader,
  AppSidebar,
  AppSidebarFooter,
  AppSidebarForm,
  AppSidebarHeader,
  AppSidebarMinimizer,
  AppSidebarNav,
} from '@coreui/react';

import Router, { routes } from './../Router';
import Navigation, { items } from './../Navigation';

class DefaultLayout extends Component {
  render() {
    return (
      <div className="app">
        <AppHeader fixed>
          <Navigation />
        </AppHeader>
        <div className="app-body">
          <AppSidebar fixed display="lg">
            <AppSidebarHeader />
            <AppSidebarForm />
            <AppSidebarNav navConfig={{ items }} />
            <AppSidebarFooter />
            <AppSidebarMinimizer />
          </AppSidebar>
          <main className="main">
            <AppBreadcrumb appRoutes={routes} />
            <Container fluid>
              <Router />
            </Container>
          </main>
          <AppAside fixed hidden></AppAside>
        </div>
        <AppFooter>
          <span><%= year %> &copy; <%= title %></span>
          <span className='ml-auto'>Generated with <a href='https://www.npmjs.com/package/@rpoc/generator-react'>@rpoc/generator-react</a></span>
          <span className='ml-auto'>Powered by <a href='https://coreui.io/react'>CoreUI for React</a></span>
        </AppFooter>
      </div>
    );
  }
}

export default DefaultLayout;
