import React, { Component } from 'react';
import { inject, observer } from 'mobx-react';

import {
  Button,
  Card,
  CardBody,
  Form,
  FormGroup,
  Input,
  Label,
} from 'reactstrap';

@inject('<%= singular %>Store')
@observer
class <%= Singular %>Form extends Component {
  render() {
    const {
      isNew
    } = this.props;

    const {
      <%= singular %>,
      <%= singular %>Valid,
      handleChange,
      handleDelete,
      handleSubmit,
    } = this.props.<%= singular %>Store;

    return (
      <div className='animated f<%= singular %>eIn'>
        <Card>
          <CardBody>
            <Form onSubmit={(event) => handleSubmit(event, isNew)}>
              <FormGroup>
                <Label htmlFor='Label'>Name</Label>
                <Input
                  id='Label'
                  name='Label'
                  onChange={handleChange}
                  type='text'
                  value={<%= singular %>.Label}
                />
              </FormGroup>
              <Button
                color='success'
                disabled={!<%= singular %>Valid}
              >
                Save
              </Button>
              <Button
                className="float-right"
                color='danger'
                disabled={isNew}
                onClick={handleDelete}
              >
                Delete
              </Button>
            </Form>
          </CardBody>
        </Card>
      </div>
    )
  }
}

export default <%= Singular %>Form;

