import React, { Component } from 'react';
import { FontAwesomeIcon as Icon } from '@fortawesome/react-fontawesome'
import { Link } from 'react-router-dom';
import { inject, observer } from 'mobx-react';

import {
  faList,
  faPlus,
} from '@fortawesome/free-solid-svg-icons';

import {
  Card,
  CardBody,
  CardHeader,
  FormGroup,
  Input,
  Table,
} from 'reactstrap';

@inject('<%= singular %>ListStore')
@observer
class <%= Singular %>List extends Component {
  constructor(props) {
    super(props);

    this.props.<%= singular %>ListStore.get<%= Plural %>();
  }

  render() {
    const {
      filter,
      filtered<%= Plural %>,
      handleFilter,
    } = this.props.<%= singular %>ListStore;

    const <%= plural %> = filtered<%= Plural %>.map((<%= singular %>, index) => {
      return (
        <tr key={index}>
          <td>
            <Link to={`/<%= plural %>/${<%= singular %>.uuid}`}>
              {<%= singular %>.Label || 'NO LABEL'}
            </Link>
          </td>
        </tr>
      );
    });

    return (
      <div className='animated fadeIn'>
        <Card>
          <CardHeader>
            <Icon icon={faList} className='mr-2' />
            <%= Plural %>
            <div className='card-headers-actions float-right'>
              <Link
                className='card-header-action'
                to='/<%= plural %>/new'
              >
                <Icon icon={faPlus} className='mr-2' />
                New <%= Singular %>
              </Link>
            </div>
          </CardHeader>
          <CardBody>
            <FormGroup>
              <Input
                className='form-control'
                onChange={handleFilter}
                placeholder='Filter'
                type='text'
                value={filter}
              />
            </FormGroup>
            <Table responsive className='table-outline'>
              <thead className='thead-light'>
                <tr>
                  <th>Name</th>
                </tr>
              </thead>
              <tbody>
                {<%= plural %>}
              </tbody>
            </Table>
          </CardBody>
        </Card>
      </div>
    );
  }
}

export default <%= Singular %>List;

